/*
Copyright (c) 2010 http://ramui.com. All right reserved.
This product is protected by copyright and distributed under licenses restricting copying, distribution. Permission is granted to the public to download and use this script provided that this Notice and any statement of authorship are reproduced in every page on all copies of the script.
*/
if(typeof bbCodeValue == "undefined"){var bbCodeValue='';}
if(typeof maxCodeLength == "undefined"){var maxCodeLength=10000;}
function addBBcodeEvents(){
if(typeof bbCodeEditorID == "undefined"){return;}
var toolBox=document.getElementById('fw_toolbox');
var td = toolBox.getElementsByTagName('LI');
for(var i in td){
if (td[i].className == "fw_tool"){
td[i].onmouseover = btnOver;
td[i].onmouseout = btnOut;
td[i].onmousedown = btnDown;
td[i].onmouseup = btnOver;
td[i].onclick = btnClick;}
if (td[i].id == "forecolor"){
td[i].onmouseover=function(){document.getElementById('color').className='colorshow';}
td[i].onmouseout=function(){document.getElementById('color').className='colorhide';}
}
}
td = toolBox.getElementsByTagName('TD');
for(var i in td){
if (td[i].className == "fw_color"){
td[i].onmouseover=function(){this.style.border="1px solid #333";}
td[i].onmouseout=function(){this.style.border="1px solid #fff";}
td[i].onclick=btnClick;
}}
}
function btnClick(){
var id=this.id;
if(id=='previewBBCode'){previewCode();return;}
var editor = document.getElementById(bbCodeEditorID);
if(document.selection){
editor.focus();
var sel = document.selection.createRange();
switch(id){
case "ol": case "ul":
sel.text='['+id+']'+formatList(sel.text)+'[/'+id+']';break;
case "b": case "i": case "u": case "s": case "code": case "quote": case "sup": case "sub": case "big": case "small":
sel.text='['+id+']'+sel.text+'[/'+id+']';
break;
case "forecolor":
sel.text='[color='+fw_currentColor+']'+sel.text+'[/color]';
break;
case "link":
var url = prompt("Enter link URL:", "http://");
if((url== null) || (textTrim(url)== "")){return;}
sel.text=((sel.text)? '[url=' + textTrim(url) + ']' + sel.text + '[/url]' : '[url]'  + textTrim(url) + '[/url]');
break;
default:
if(this.className=='fw_color'){sel.text='[color='+id+']'+sel.text+'[/color]';}
}
}
else{mozilla(editor,id);}
}
function mozilla(editor,id){
var top = editor.scrollTop;
var left = editor.scrollLeft;
var length = editor.value.length;
var start = editor.selectionStart;
var end = editor.selectionEnd;
sel = editor.value.substring(start, end);
var str;
switch(id){
case "ol": case "ul":
sel=formatList(sel);
case "b": case "i": case "u": case "s": case "code": case "quote": case "sup": case "sub": case "file": case "big": case "small":
str = '['+id+']'+sel+'[/'+id+']';
break;
case "link":
var url = prompt("Enter link URL:", "http://");
if((url== null) || (textTrim(url)== "")){return;}
str=((sel)? '[url=' + textTrim(url) + ']' + sel + '[/url]' : '[url]'  + textTrim(url) + '[/url]');
break;
default:
if(document.getElementById(id).className=='fw_color'){str='[color='+id+']'+sel+'[/color]';}
}
editor.value =  editor.value.substring(0,start) + str + editor.value.substring(end,length);
editor.scrollTop = top;
editor.scrollLeft = left;
}
function formatList(s){var items=s.split('\n');var str='';for(var i=0;i<items.length;i++){str+= '[li]' + items[i]+'[/li]\n';}return(str);}
function btnOver(){this.style.border="1px solid #0a246a";this.style.background="#b6bdaa";}
function btnOut(){this.style.background="none";this.style.border="1px solid #ffffff";}
function btnDown(){this.style.background="#aad5ff";}
function getUrl(){
var thisscript = document.getElementsByTagName('script');
for (var i=0; i<thisscript.length; i++) {if(thisscript[i].src.indexOf('bbcode.js')>=0){return(thisscript[i].src.replace('bbcode.js',''));}}return '';}
function textTrim(str){return str.replace(/^\s\s*/, '').replace(/\s\s*$/, '');}
function previewCode(){if(typeof postPreview == "function"){postPreview();}return;}
window.onload=addBBcodeEvents;



