<?php
/*
Copyright (c) 2012 http://ramui.com. All right reserved.
This product is protected by copyright and distributed under licenses restricting copying, distribution. Permission is granted to the public to download and use this script provided that this Notice and any statement of authorship are reproduced in every page on all copies of the script.
*/
define('DOCROOT', str_replace('gb/include/functions.php','',str_replace($_SERVER['DOCUMENT_ROOT'],'',str_replace('\\','/',__FILE__))));
define('USER_FILES', $_SERVER['DOCUMENT_ROOT'].DOCROOT.'gb/files/');
define('FORUM_URL','http://'.getenv('HTTP_HOST').DOCROOT);
function fw_strip_slashes($str)
{
        if (get_magic_quotes_gpc()){return stripslashes($str);}
        return $str;
}
function fw_total_page($c, $p)
{
        if ($c<1){ return 1;}
        $d=$c;
        for ($i=1; $i<=$c; $i++){
            $d=$d-$p;
            if ($d<=0){ return $i;}
        }
}
function fw_abs_to_url($abs_path)
{
         return 'http://'.str_replace($_SERVER['DOCUMENT_ROOT'], $_SERVER['HTTP_HOST'],$abs_path);
}
function fw_random()
{
		return substr(str_shuffle('abcdefghijklmnopqrstuvwxyz_0123456789'),0,rand(8,16));
}
function fw_validate_username($user)
{
		return (preg_match('/^([a-zA-Z0-9_]){4,16}$/',$user));
}
function fw_validate_user($name,$email)
{
		return (fw_validate_username($name)&&(fw_validate_email($email)));
}
function fw_validate_email($email)
{
		return preg_match('/^([a-zA-Z0-9\-\._@]){7,110}$/',$email);
}
function fw_validate_password($pass)
{
		return preg_match('/^([a-zA-Z0-9\-\:_\?\*\"\'\&\^\!\#\/\(\)\{\}\[\]]){6,20}$/',$pass);
}
function fw_validate_session($pass)
{
		return preg_match('/^([a-fA-F0-9\-]){34,50}$/',$pass);
}
function fw_validate_realname($name)
{
		return preg_match('/^([a-zA-Z0-9\-\.\ \_]){5,50}$/',$name);
}
function fw_validate_filename($name,$extensions)
{
		$match='/^([a-z0-9_\-]){1,45}+(\.)+('.str_replace(',','|',$extensions).')$/i';
		return (preg_match($match,$name));
}
function fw_generate_filename()
{
		return substr(str_shuffle('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'),0,32);
}
function fw_validate_pagename($x)
{
		return ((preg_match('/^([a-zA-Z0-9\-\ \_]){1,100}$/',$x))&&(preg_match('/([a-zA-Z0-9])$/',$x)));
}
function fw_php2javascript($text)
{
		return str_replace("\r",'\r',str_replace("\n",'\n',addslashes($text)));
}
function fw_bb2text($s)
{
		$s=preg_replace('/\[url\=(.+)\](.+)\[\/url\]/iUs', "$2", $s);
		$s=preg_replace('/\[color\=(.+)\](.+)\[\/color\]/iUs', "$2", $s);
		$search=array('[b]','[/b]','[u]','[/u]','[i]','[/i]','[s]','[/s]','[sup]','[/sup]','[sub]','[/sub]','[ul]','[/ul]','[ol]','[/ol]','[li]','[/li]','[url]','[/url]','[code]','[/code]','[file]','[/file]','[big]','[/big]','[small]','[/small]');
		return str_replace($search,'',$s);
}
function fw_linkcount($content,$autolink)
{
		if($autolink){
			$exp='/(?<!\=|\[url\]|\[img\]|\&gt;|\"|\&quot;|\'|\"|\>)((http|https)\:\/\/[a-z0-9\-\.]+\.[a-z]{2,4}+([^\[\"\>\'\&quot;\&gt;\s]*))/i';
			$content=preg_replace($exp, ' [url]${0}[/url]', $content);
		}
		$n1=0;$n2=0;
		$content=preg_replace("/\[url\](.+)\[\/url\]/iUs", "", $content,-1,$n1);
		$content=preg_replace('/\[url\=(.+)\](.+)\[\/url\]/iUs', "", $content,-1,$n2);
		return ($n1+$n2);
}
function verify_url(&$url)
{
		$url=xss_cleaner($url);
		$arr=parse_url($url);
		if(($arr===false)||(empty($arr['host']))){return false;}
		$arr['host']=strtolower($arr['host']);
		$scheme=empty($arr['scheme'])? 'http' : strtolower($arr['scheme']);
		$url=$scheme.'://'.$arr['host'];
		return true;
}
function fw_message($err,$msg)
{
		echo '<script>parent.document.getElementById("feedback").innerHTML="<span style=\"color:'.(($err)? 'red':'green').'; background:#fff;\">'.fw_php2javascript($msg).'</span>";</script>';
}
function fw_gettag($name,&$x)
{
		$start=strpos($x,'<'.$name.'>')+strlen($name)+2;
		return substr($x,$start,strpos($x,'</'.$name.'>')-$start);
}
function xss_cleaner($str)
{
		$str = str_replace( array('&','<','>',"'",'"',')','('), array('&amp;','&lt;','&gt;','&apos;','&#x22;','&#x29;','&#x28;'), $str );
		return str_ireplace( '%3Cscript', '', $str );
}
?>